require( "scripts/common/simple_object.lua" );

local	indicator_pos_x = 10;
local	indicator_pos_y = -20;

local ObjectTable = GetObjectTable("cradle");

toddlerbed = simple_object:new{
	anchor_x=33,
	anchor_y=80,
	offset_x=-6,
	offset_y=-4,
	texture="anim/objects/toddlerbed/toddlerbed",
	animation_script="anim/objects/default_animation_script.lua",
	glow_texture="anim/objects/toddlerbed/toddlerbed_glow",
	glow_animation_script="anim/objects/default_glow_animation_script.lua",
	indicator_ui_x=indicator_pos_x,
	indicator_ui_y=indicator_pos_y,
	dad_ui_x=indicator_pos_x-35,
	dad_ui_y=indicator_pos_y,
	mom_ui_x=indicator_pos_x+35,
	mom_ui_y=indicator_pos_y,
	flipped_animation = true,
	
	character_messing_animation = "doing_stuff_sit_down";
	
	messing_state_time = 2000,
	cleaning_state_time = 3500,

	messing_state_time = ObjectTable["messing_time"],
	cleaning_state_time = ObjectTable["cleaning_time"],
	stress_inc = ObjectTable["stress_inc"],

}

function toddlerbed:new(o)
	o = o or {}   -- create object if user does not provide one
	setmetatable(o, self)
	self.__index = self
	return o
end
